////////////////////////////////////////////////////////////////////////////////
// Include File: TVP7002_VGA_to_YCbCr_422_ES_common.inc
// Release Date: 11-21-2011
// For use with the TVP7002+THS8200 EVM Kit
// Common TVP7002 control register settings for 
// - Input: 5-wire VGA (RGBHV)
// - Output: 20-bit YCbCr 4:2:2 with embedded syncs and discrete syncs
// Some fine gain adjustment may be required (see registers 0x08, 0x09 and 0x0A)
////////////////////////////////////////////////////////////////////////////////

INCLUDE,TVP7002_default_settings.inc // default values to be used unless later modified

// Common register settings for 5-wire VGA input
WR_REG,TVP7000,0x01,0x04,0x00 // H-PLL Phase Select (default), 0 degrees, CKDI, CKDI, DIV2
WR_REG,TVP7000,0x01,0x05,0x06 // Clamp Start
WR_REG,TVP7000,0x01,0x06,0x10 // Clamp Width
WR_REG,TVP7000,0x01,0x0F,0x2E // H-PLL and Clamp Control (default)
WR_REG,TVP7000,0x01,0x10,0x58 // Sync On Green Threshold, RGB clamp
WR_REG,TVP7000,0x01,0x11,0x40 // Sync Separator Threshold
WR_REG,TVP7000,0x01,0x12,0x01 // H-PLL Pre-Coast
WR_REG,TVP7000,0x01,0x13,0x00 // H-PLL Post-Coast (default)
WR_REG,TVP7000,0x01,0x19,0xAA // Input Mux Select 1, CH3 selected (VGA connector)
WR_REG,TVP7000,0x01,0x1A,0xCA // Input Mux Select 2, SOG LPF bypassed, 4.8MHz CLP LPF, EXT REFCLK, HSYNC_A and VSYNC_A selected
WR_REG,TVP7000,0x01,0x26,0x80 // ALC Enable (default)
WR_REG,TVP7000,0x01,0x28,0x53 // ALC Filter (default)
WR_REG,TVP7000,0x01,0x2A,0x87 // Fine Clamp Control, CM offset enabled, fine clamp enabled
WR_REG,TVP7000,0x01,0x2B,0x00 // Power Control (default), SOG ON
WR_REG,TVP7000,0x01,0x31,0x18 // ALC Placement
WR_REG,TVP7000,0x01,0x35,0x00 // VSYNC Alignment
WR_REG,TVP7000,0x01,0x36,0x00 // Sync Bypass (default)
WR_REG,TVP7000,0x01,0x3D,0x06 // Line Length Tolerance (Pixel Tolerance)
WR_REG,TVP7000,0x01,0x3F,0x00 // Video Bandwidth Control (default), maximum B/W selected

// Common register settings for 20-bit YCbCr 4:2:2 output
WR_REG,TVP7000,0x01,0x08,0x04 // Blue Fine Gain (default)
WR_REG,TVP7000,0x01,0x09,0x04 // Green Fine Gain (default) = 256*((876/1024)*1000mV/700mV/1.2 - 1)
WR_REG,TVP7000,0x01,0x0A,0x04 // Red Fine Gain (default)
WR_REG,TVP7000,0x01,0x0B,0x90 // Blue Fine Offset MSBs
WR_REG,TVP7000,0x01,0x0C,0x90 // Green Fine Offset MSBs
WR_REG,TVP7000,0x01,0x0D,0x90 // Red Fine Offset MSBs
WR_REG,TVP7000,0x01,0x15,0x43 // Output Formatter, BT.601 coding range, CbCr order???, 20-bit 4:2:2 output, embedded syncs enabled
WR_REG,TVP7000,0x01,0x16,0x11 // MISC Control 1 (default), normal CbCr alignment
WR_REG,TVP7000,0x01,0x17,0x02 // MISC Control 2, FID output, SOG output disabled, outputs enabled
WR_REG,TVP7000,0x01,0x18,0x11 // MISC Control 3, CSC enabled, normal FID polarity, data clocked out on falling edge
WR_REG,TVP7000,0x01,0x21,0x22 // HSOUT Output Start, 39 - 5 = 34 = 22h
WR_REG,TVP7000,0x01,0x22,0x00 // MISC Control 4, Macrovision stripper disabled

////////////////////////////////////////////////////////////////////////////////