////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
// File Name: TVP7002_HDTV_24_25_30_YPbPr_to_YCbCr_422_ES.cmd
// Release Date: 04-22-2013
// For use with the TVP7002 EVM Kit

// Description:
// This command file programs the TVP7002 register settings for the following video formats:
// - 720p 25 and 30Hz YPbPr component video formats at 74.25MHz
// - 1080p 24, 25, and 30Hz YPbPr component video formats at 74.25MHz

// The input MUX is configured for YPbPr inputs on the BNC inputs.
// Optimum Phase Sel setting will vary depending on the video source used.
// The TVP7002 is set up to use a 27MHz external REFCLK.

// The settings below are for use with an external sync separator with active output high syncs.
// The internal sync separator cannot be used with 25Hz and 30Hz formats
// HS and VS must be supplied as discrete sync inputs
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"Data Enable Output on Pin 22 of TVP7002"

WR_REG,TVP7000,0x01,0x17,0x10 // MISC Control 2, DE out, MISC Control 2, outputs enabled

END_DATASET

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"Field ID Output on Pin 22 of TVP7002 (default)"

WR_REG,TVP7000,0x01,0x17,0x00 // MISC Control 2, FID out, MISC Control 2, outputs enabled 

END_DATASET

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

END_DATASET

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"*** 720p25,30Hz YPbPr SOY to 20-bit YCbCr 4:2:2 ES settings for TVP7002 ***"

END_DATASET

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"720p25, 25Hz, 18.750kHz, 74.25MHz, YPbPr>YCbCr 422 ES, TVP7002"

//TVP7002 4:2:2 out with embedded syncs, CSC bypassed for YPbPr in YCbCr out
WR_REG,TVP7000,0x01,0x01,0xF7 // PLL DIVMSB, 3960
WR_REG,TVP7000,0x01,0x02,0x80 // PLL DIVLSB
WR_REG,TVP7000,0x01,0x03,0x90 // VCO2_CP3_RR_CP_R
WR_REG,TVP7000,0x01,0x04,0x80 // PHASE SEL(5) CKDI CKDI DIV2
WR_REG,TVP7000,0x01,0x05,0x32 // CLAMP START
WR_REG,TVP7000,0x01,0x06,0x20 // CLAMP WIDTH
WR_REG,TVP7000,0x01,0x07,0x28 // HSYNC OUTPUT WIDTH - 40
WR_REG,TVP7000,0x01,0x0B,0x80 // Blue fine offset
WR_REG,TVP7000,0x01,0x0C,0x90 // Green fine offset code 64
WR_REG,TVP7000,0x01,0x0D,0x80 // Red fine offset
WR_REG,TVP7000,0x01,0x0E,0x76 // SYNC CONTROL 1, HSYNC/VSYNC from HS_IN/VS_IN. Active sync auto detect should also work 
 
WR_REG,TVP7000,0x01,0x0F,0x2E // PLL and CLAMP CONTROL
WR_REG,TVP7000,0x01,0x10,0x5D // SOG Threshold - (YPbPr Clamp)
WR_REG,TVP7000,0x01,0x11,0x40 // SYNC SEPERATOR THRESHOLD
WR_REG,TVP7000,0x01,0x12,0x01 // PRE_COAST
WR_REG,TVP7000,0x01,0x13,0x00 // POST_COAST
WR_REG,TVP7000,0x01,0x15,0x47 // Output Formatter, 64-960, embedded syncs
WR_REG,TVP7000,0x01,0x16,0x01 // MISC Control
WR_REG,TVP7000,0x01,0x18,0x01 // T-SW disabled, blank off, CSC disabled, FID, SOG, CLK polarity = invert
WR_REG,TVP7000,0x01,0x17,0x00 // Outputs enabled
WR_REG,TVP7000,0x01,0x19,0x00 // INPUT MUX SELECTCH1 selected (BNC)
WR_REG,TVP7000,0x01,0x1A,0xCF // SOG FilterLPF, and CLP LPF, EXT REF CLK, INPUT MUX SELECT, HSYNC_B and VSYNC_B selected

WR_REG,TVP7000,0x01,0x21,0x53 // HSOUT START
WR_REG,TVP7000,0x01,0x22,0x00 // Macrovision support
WR_REG,TVP7000,0x01,0x26,0x80 // ALC Enable
WR_REG,TVP7000,0x01,0x28,0x53 // AL FILTER Control
WR_REG,TVP7000,0x01,0x2A,0x87 // Enable FINE CLAMP CONTROL CM offset enabled
WR_REG,TVP7000,0x01,0x2B,0x00 // POWER CONTROL - SOG ON
WR_REG,TVP7000,0x01,0x2C,0x50 // ADC Setup
WR_REG,TVP7000,0x01,0x2D,0x00 // Coarse Clamp OFF
WR_REG,TVP7000,0x01,0x2E,0x80 // SOG Clamp ON
WR_REG,TVP7000,0x01,0x31,0x5A // ALC PLACEMENT

//REG34h only required if MACEN bit is set in REG22h
WR_REG,TVP7000,0x01,0x34,0x12 // Macrovision Stripper Width use 12h if external 27M REFCLK is used
//WR_REG,TVP7000,0x01,0x34,0x07 // Macrovision Stripper Width use 07h if internal REFCLK is used

WR_REG,TVP7000,0x01,0x3F,0x01 // Input B/W
WR_REG,TVP7000,0x01,0x40,0x47 // AVID START PIXEL LSB
WR_REG,TVP7000,0x01,0x41,0x01 // AVID START PIXEL MSB
WR_REG,TVP7000,0x01,0x42,0x4B // AVID STOP PIXEL LSB
WR_REG,TVP7000,0x01,0x43,0x06 // AVID STOP PIXEL MSB
WR_REG,TVP7000,0x01,0x44,0x05 // VBLK START LINE OFFSET (F0)
WR_REG,TVP7000,0x01,0x45,0x05 // VBLK START LINE OFFSET (F1)
WR_REG,TVP7000,0x01,0x46,0x1E // VBLK DURATION (F0)
WR_REG,TVP7000,0x01,0x47,0x1E // VBLK DURATION (F1)
WR_REG,TVP7000,0x01,0x48,0x00 // F-BIT START LINE OFFSET (F0)
WR_REG,TVP7000,0x01,0x49,0x00 // F-BIT START LINE OFFSET (F1)

END_DATASET

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"720p30, 30Hz, 22.500kHz, 74.25MHz, YPbPr>YCbCr 422 ES, TVP7002"

//TVP7002 4:2:2 out with embedded syncs, CSC bypassed for YPbPr in YCbCr out
WR_REG,TVP7000,0x01,0x01,0xCE // PLL DIVMSB, 3300
WR_REG,TVP7000,0x01,0x02,0x40 // PLL DIVLSB
WR_REG,TVP7000,0x01,0x03,0x90 // VCO2_CP3_RR_CP_R
WR_REG,TVP7000,0x01,0x04,0x80 // PHASE SEL(5) CKDI CKDI DIV2
WR_REG,TVP7000,0x01,0x05,0x32 // CLAMP START
WR_REG,TVP7000,0x01,0x06,0x20 // CLAMP WIDTH
WR_REG,TVP7000,0x01,0x07,0x28 // HSYNC OUTPUT WIDTH - 40
WR_REG,TVP7000,0x01,0x0B,0x80 // Blue fine offset
WR_REG,TVP7000,0x01,0x0C,0x90 // Green fine offset code 64
WR_REG,TVP7000,0x01,0x0D,0x80 // Red fine offset
WR_REG,TVP7000,0x01,0x0E,0x76 // SYNC CONTROL 1, HSYNC/VSYNC from HS_IN/VS_IN. Active sync auto detect should also work 

WR_REG,TVP7000,0x01,0x0F,0x2E // PLL and CLAMP CONTROL
WR_REG,TVP7000,0x01,0x10,0x5D // SOG Threshold - (YPbPr Clamp)
WR_REG,TVP7000,0x01,0x11,0x40 // SYNC SEPERATOR THRESHOLD
WR_REG,TVP7000,0x01,0x12,0x01 // PRE_COAST
WR_REG,TVP7000,0x01,0x13,0x00 // POST_COAST
WR_REG,TVP7000,0x01,0x15,0x47 // Output Formatter, 64-960, embedded syncs
WR_REG,TVP7000,0x01,0x16,0x01 // MISC Control
WR_REG,TVP7000,0x01,0x18,0x01 // T-SW disabled, blank off, CSC disabled, FID, SOG, CLK polarity = invert
WR_REG,TVP7000,0x01,0x17,0x00 // Outputs enabled
WR_REG,TVP7000,0x01,0x19,0x00 // INPUT MUX SELECTCH1 selected (BNC)
WR_REG,TVP7000,0x01,0x1A,0xCF // SOG FilterLPF, and CLP LPF, EXT REF CLK, INPUT MUX SELECT, HSYNC_B and VSYNC_B selected

WR_REG,TVP7000,0x01,0x21,0x53 // HSOUT START
WR_REG,TVP7000,0x01,0x22,0x00 // Macrovision support
WR_REG,TVP7000,0x01,0x26,0x80 // ALC Enable
WR_REG,TVP7000,0x01,0x28,0x53 // AL FILTER Control
WR_REG,TVP7000,0x01,0x2A,0x87 // Enable FINE CLAMP CONTROL CM offset enabled
WR_REG,TVP7000,0x01,0x2B,0x00 // POWER CONTROL - SOG ON
WR_REG,TVP7000,0x01,0x2C,0x50 // ADC Setup
WR_REG,TVP7000,0x01,0x2D,0x00 // Coarse Clamp OFF
WR_REG,TVP7000,0x01,0x2E,0x80 // SOG Clamp ON
WR_REG,TVP7000,0x01,0x31,0x5A // ALC PLACEMENT

//REG34h only required if MACEN bit is set in REG22h
WR_REG,TVP7000,0x01,0x34,0x12 // Macrovision Stripper Width use 12h if external 27M REFCLK is used
//WR_REG,TVP7000,0x01,0x34,0x07 // Macrovision Stripper Width use 07h if internal REFCLK is used

WR_REG,TVP7000,0x01,0x3F,0x01 // Input B/W
WR_REG,TVP7000,0x01,0x40,0x47 // AVID START PIXEL LSB
WR_REG,TVP7000,0x01,0x41,0x01 // AVID START PIXEL MSB
WR_REG,TVP7000,0x01,0x42,0x4B // AVID STOP PIXEL LSB
WR_REG,TVP7000,0x01,0x43,0x06 // AVID STOP PIXEL MSB
WR_REG,TVP7000,0x01,0x44,0x05 // VBLK START LINE OFFSET (F0)
WR_REG,TVP7000,0x01,0x45,0x05 // VBLK START LINE OFFSET (F1)
WR_REG,TVP7000,0x01,0x46,0x1E // VBLK DURATION (F0)
WR_REG,TVP7000,0x01,0x47,0x1E // VBLK DURATION (F1)
WR_REG,TVP7000,0x01,0x48,0x00 // F-BIT START LINE OFFSET (F0)
WR_REG,TVP7000,0x01,0x49,0x00 // F-BIT START LINE OFFSET (F1)

END_DATASET

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

END_DATASET

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"*** 1080p24,25,30Hz YPbPr SOY to 20-bit YCbCr 4:2:2 ES settings for TVP7002 ***"

END_DATASET

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"1080p24, 24Hz, 27.000kHz, 74.25MHz, YPbPr>YCbCr 422 ES, TVP7002"

//TVP7002
WR_REG,TVP7000,0x01,0x01,0xAB // H-PLL FEEDBACK DIVIDER MSB  2750
WR_REG,TVP7000,0x01,0x02,0xE0 // H-PLL FEEDBACK DIVIDER LSB
WR_REG,TVP7000,0x01,0x03,0x90 // H-PLL CONTROL  
WR_REG,TVP7000,0x01,0x04,0x80 // H-PLL PHASE SELECT
WR_REG,TVP7000,0x01,0x05,0x32 // CLAMP START
WR_REG,TVP7000,0x01,0x06,0x20 // CLAMP WIDTH
WR_REG,TVP7000,0x01,0x07,0x2C // HSOUT OUTPUT WIDTH
WR_REG,TVP7000,0x01,0x08,0x3C // BLU FINE GAIN
WR_REG,TVP7000,0x01,0x09,0x3C // GRN FINE GAIN
WR_REG,TVP7000,0x01,0x0A,0x3C // RED FINE GAIN
WR_REG,TVP7000,0x01,0x0B,0x80 // BLU FINE OFFSET
WR_REG,TVP7000,0x01,0x0C,0x90 // GRN FINE OFFSET   Black level = 64
WR_REG,TVP7000,0x01,0x0D,0x80 // RED FINE OFFSET
WR_REG,TVP7000,0x01,0x0E,0x3E // SYNC CONTROL 1    HSYNC from SOG, VSYNC from VS_IN
WR_REG,TVP7000,0x01,0x0F,0x22 // H-PLL AND CLAMP CONTROL
WR_REG,TVP7000,0x01,0x10,0x5D // SYNC ON GREEN THRESHOLD
WR_REG,TVP7000,0x01,0x11,0x40 // SYNC SEPERATOR THRESHOLD
WR_REG,TVP7000,0x01,0x12,0x01 // H-PLL PRE-COAST
WR_REG,TVP7000,0x01,0x13,0x00 // H-PLL POST-COAST
WR_REG,TVP7000,0x01,0x15,0x47 // OUTPUT FORMATTER  embedded syncs 4:2:2
WR_REG,TVP7000,0x01,0x16,0x11 // MISC CONTROL 1
WR_REG,TVP7000,0x01,0x17,0x50 // MISC CONTROL 2
WR_REG,TVP7000,0x01,0x18,0x01 // MISC CONTROL 3
WR_REG,TVP7000,0x01,0x19,0x00 // INPUT MUX SELECT 1
WR_REG,TVP7000,0x01,0x1A,0xCF // INPUT MUX SELECT 2
WR_REG,TVP7000,0x01,0x1B,0x77 // BLU AND GRN COARSE GAIN
WR_REG,TVP7000,0x01,0x1C,0x07 // RED COARSE GAIN
WR_REG,TVP7000,0x01,0x1D,0x00 // FINE OFFSET LSB
WR_REG,TVP7000,0x01,0x1E,0x10 // BLU COARSE OFFSET
WR_REG,TVP7000,0x01,0x1F,0x10 // GRN COARSE OFFSET
WR_REG,TVP7000,0x01,0x20,0x10 // RED COARSE OFFSET
WR_REG,TVP7000,0x01,0x21,0x39 // HSOUT OUTPUT START
WR_REG,TVP7000,0x01,0x22,0x08 // MISC CONTROL 4
WR_REG,TVP7000,0x01,0x26,0x80 // AUTO LEVEL CONTROL ENABLE
WR_REG,TVP7000,0x01,0x28,0x53 // AUTO LEVEL CONTROL FILTER
WR_REG,TVP7000,0x01,0x29,0x08 // ADC TEST CONTROL
WR_REG,TVP7000,0x01,0x2A,0x83 // FINE CLAMP CONTROL
WR_REG,TVP7000,0x01,0x2B,0x00 // POWER CONTROL
WR_REG,TVP7000,0x01,0x2C,0x50 // ADC SETUP
WR_REG,TVP7000,0x01,0x2D,0x00 // COARSE CLAMP CONTROL
WR_REG,TVP7000,0x01,0x2E,0x80 // SOG CLAMP CONTROL
WR_REG,TVP7000,0x01,0x2F,0x0C // RGB COARSE CLAMP CONTROL
WR_REG,TVP7000,0x01,0x30,0x04 // SOG COARSE CLAMP CONTROL
WR_REG,TVP7000,0x01,0x31,0x5A // AUTO LEVEL CONTROL PLACEMENT
WR_REG,TVP7000,0x01,0x34,0x13 // MACROVISION STRIPPER WIDTH  use 13 with external 27MHz REFCLK
//WR_REG,TVP7000,0x01,0x34,0x07 // MACROVISION STRIPPER WIDTH use 7 with internal REFCLK
WR_REG,TVP7000,0x01,0x35,0x00 // VSYNC ALIGNMENT
WR_REG,TVP7000,0x01,0x36,0x02 // SYNC BYPASS
WR_REG,TVP7000,0x01,0x3D,0x06 // LINE LENGTH TOLERANCE
WR_REG,TVP7000,0x01,0x3F,0x0F // VIDEO BANDWIDTH CONTROL

//embedded syncs
WR_REG,TVP7000,0x01,0x40,0x07 // AVID Start  263 (236+27) for SOG filter differnence
WR_REG,TVP7000,0x01,0x41,0x01 // AVID Start
WR_REG,TVP7000,0x01,0x42,0x8B // AVID Stop  2187 (AVID start + 1920 + 4)
WR_REG,TVP7000,0x01,0x43,0x08 // AVID Stop
WR_REG,TVP7000,0x01,0x44,0x03 // VBLK START LINE OFFSET (F0)
WR_REG,TVP7000,0x01,0x45,0x03 // VBLK START LINE OFFSET (F1)
WR_REG,TVP7000,0x01,0x46,0x2D // VBLK DURATION (F0)
WR_REG,TVP7000,0x01,0x47,0x2D // VBLK DURATION (F1)
WR_REG,TVP7000,0x01,0x48,0x00 // F-BIT START LINE OFFSET (F0)
WR_REG,TVP7000,0x01,0x49,0x00 // F-BIT START LINE OFFSET (F1)

END_DATASET

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"1080p25, 25Hz, 28.125kHz, 74.25MHz, YPbPr>YCbCr 422 ES, TVP7002"

//TVP7002
WR_REG,TVP7000,0x01,0x01,0xA5 // H-PLL FEEDBACK DIVIDER MSB  2640
WR_REG,TVP7000,0x01,0x02,0x00 // H-PLL FEEDBACK DIVIDER LSB
WR_REG,TVP7000,0x01,0x03,0x90 // H-PLL CONTROL
WR_REG,TVP7000,0x01,0x04,0x80 // H-PLL PHASE SELECT
WR_REG,TVP7000,0x01,0x05,0x32 // CLAMP START
WR_REG,TVP7000,0x01,0x06,0x20 // CLAMP WIDTH
WR_REG,TVP7000,0x01,0x07,0x2C // HSOUT OUTPUT WIDTH
WR_REG,TVP7000,0x01,0x08,0x3C // BLU FINE GAIN
WR_REG,TVP7000,0x01,0x09,0x3C // GRN FINE GAIN
WR_REG,TVP7000,0x01,0x0A,0x3C // RED FINE GAIN
WR_REG,TVP7000,0x01,0x0B,0x80 // BLU FINE OFFSET
WR_REG,TVP7000,0x01,0x0C,0x90 // GRN FINE OFFSET   Black level = 64
WR_REG,TVP7000,0x01,0x0D,0x80 // RED FINE OFFSET
WR_REG,TVP7000,0x01,0x0E,0x3E // SYNC CONTROL 1    HSYNC from SOG, VSYNC from VS_IN
WR_REG,TVP7000,0x01,0x0F,0x22 // H-PLL AND CLAMP CONTROL
WR_REG,TVP7000,0x01,0x10,0x5D // SYNC ON GREEN THRESHOLD
WR_REG,TVP7000,0x01,0x11,0x40 // SYNC SEPERATOR THRESHOLD
WR_REG,TVP7000,0x01,0x12,0x01 // H-PLL PRE-COAST
WR_REG,TVP7000,0x01,0x13,0x00 // H-PLL POST-COAST
WR_REG,TVP7000,0x01,0x15,0x47 // OUTPUT FORMATTER  embedded syncs 4:2:2
WR_REG,TVP7000,0x01,0x16,0x11 // MISC CONTROL 1
WR_REG,TVP7000,0x01,0x17,0x50 // MISC CONTROL 2
WR_REG,TVP7000,0x01,0x18,0x01 // MISC CONTROL 3
WR_REG,TVP7000,0x01,0x19,0x00 // INPUT MUX SELECT 1
WR_REG,TVP7000,0x01,0x1A,0xCF // INPUT MUX SELECT 2
WR_REG,TVP7000,0x01,0x1B,0x77 // BLU AND GRN COARSE GAIN
WR_REG,TVP7000,0x01,0x1C,0x07 // RED COARSE GAIN
WR_REG,TVP7000,0x01,0x1D,0x00 // FINE OFFSET LSB
WR_REG,TVP7000,0x01,0x1E,0x10 // BLU COARSE OFFSET
WR_REG,TVP7000,0x01,0x1F,0x10 // GRN COARSE OFFSET
WR_REG,TVP7000,0x01,0x20,0x10 // RED COARSE OFFSET
WR_REG,TVP7000,0x01,0x21,0x39 // HSOUT OUTPUT START
WR_REG,TVP7000,0x01,0x22,0x08 // MISC CONTROL 4
WR_REG,TVP7000,0x01,0x26,0x80 // AUTO LEVEL CONTROL ENABLE
WR_REG,TVP7000,0x01,0x28,0x53 // AUTO LEVEL CONTROL FILTER
WR_REG,TVP7000,0x01,0x29,0x08 // ADC TEST CONTROL
WR_REG,TVP7000,0x01,0x2A,0x83 // FINE CLAMP CONTROL
WR_REG,TVP7000,0x01,0x2B,0x00 // POWER CONTROL
WR_REG,TVP7000,0x01,0x2C,0x80 // ADC SETUP
WR_REG,TVP7000,0x01,0x2D,0x00 // COARSE CLAMP CONTROL
WR_REG,TVP7000,0x01,0x2E,0x80 // SOG CLAMP CONTROL
WR_REG,TVP7000,0x01,0x2F,0x0C // RGB COARSE CLAMP CONTROL
WR_REG,TVP7000,0x01,0x30,0x04 // SOG COARSE CLAMP CONTROL
WR_REG,TVP7000,0x01,0x31,0x5A // AUTO LEVEL CONTROL PLACEMENT
WR_REG,TVP7000,0x01,0x34,0x13 // MACROVISION STRIPPER WIDTH  use 13 with external 27MHz REFCLK
//WR_REG,TVP7000,0x01,0x34,0x07 // MACROVISION STRIPPER WIDTH use 7 with internal REFCLK
WR_REG,TVP7000,0x01,0x35,0x00 // VSYNC ALIGNMENT
WR_REG,TVP7000,0x01,0x36,0x02 // SYNC BYPASS
WR_REG,TVP7000,0x01,0x3D,0x06 // LINE LENGTH TOLERANCE
WR_REG,TVP7000,0x01,0x3F,0x0F // VIDEO BANDWIDTH CONTROL

//embedded sync
WR_REG,TVP7000,0x01,0x40,0x05 // AVID START PIXEL LSB    25+44+44+148 = 261
WR_REG,TVP7000,0x01,0x41,0x01 // AVID START PIXEL MSB
WR_REG,TVP7000,0x01,0x42,0x89 // AVID STOP PIXEL LSB       261+1920+4 = 2185
WR_REG,TVP7000,0x01,0x43,0x08 // AVID STOP PIXEL MSB
WR_REG,TVP7000,0x01,0x44,0x03 // VBLK START LINE OFFSET (F0)
WR_REG,TVP7000,0x01,0x45,0x03 // VBLK START LINE OFFSET (F1)
WR_REG,TVP7000,0x01,0x46,0x2D // VBLK DURATION (F0)
WR_REG,TVP7000,0x01,0x47,0x2D // VBLK DURATION (F1)
WR_REG,TVP7000,0x01,0x48,0x00 // F-BIT START LINE OFFSET (F0)
WR_REG,TVP7000,0x01,0x49,0x00 // F-BIT START LINE OFFSET (F1)

END_DATASET

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"1080p30, 30Hz, 33.750kHz, 74.25MHz, YPbPr>YCbCr 422 ES, TVP7002"

//TVP7002
WR_REG,TVP7000,0x01,0x01,0x89 // H-PLL FEEDBACK DIVIDER MSB
WR_REG,TVP7000,0x01,0x02,0x80 // H-PLL FEEDBACK DIVIDER LSB
WR_REG,TVP7000,0x01,0x03,0xE0 // H-PLL CONTROL
WR_REG,TVP7000,0x01,0x04,0x80 // H-PLL PHASE SELECT
WR_REG,TVP7000,0x01,0x05,0x32 // CLAMP START
WR_REG,TVP7000,0x01,0x06,0x20 // CLAMP WIDTH
WR_REG,TVP7000,0x01,0x07,0x2C // HSOUT OUTPUT WIDTH
WR_REG,TVP7000,0x01,0x08,0x3C // BLU FINE GAIN
WR_REG,TVP7000,0x01,0x09,0x3C // GRN FINE GAIN
WR_REG,TVP7000,0x01,0x0A,0x3C // RED FINE GAIN
WR_REG,TVP7000,0x01,0x0B,0x80 // BLU FINE OFFSET
WR_REG,TVP7000,0x01,0x0C,0x90 // GRN FINE OFFSET   Black level = 64
WR_REG,TVP7000,0x01,0x0D,0x80 // RED FINE OFFSET
WR_REG,TVP7000,0x01,0x0E,0x3E // SYNC CONTROL 1    HSYNC from SOG, VSYNC from VS_IN
WR_REG,TVP7000,0x01,0x0F,0x22 // H-PLL AND CLAMP CONTROL
WR_REG,TVP7000,0x01,0x10,0x5D // SYNC ON GREEN THRESHOLD
WR_REG,TVP7000,0x01,0x11,0x40 // SYNC SEPERATOR THRESHOLD
WR_REG,TVP7000,0x01,0x12,0x01 // H-PLL PRE-COAST
WR_REG,TVP7000,0x01,0x13,0x00 // H-PLL POST-COAST
WR_REG,TVP7000,0x01,0x15,0x47 // OUTPUT FORMATTER  embedded syncs 4:2:2
WR_REG,TVP7000,0x01,0x16,0x11 // MISC CONTROL 1
WR_REG,TVP7000,0x01,0x17,0x50 // MISC CONTROL 2
WR_REG,TVP7000,0x01,0x18,0x01 // MISC CONTROL 3
WR_REG,TVP7000,0x01,0x19,0x00 // INPUT MUX SELECT 1
WR_REG,TVP7000,0x01,0x1A,0xCF // INPUT MUX SELECT 2
WR_REG,TVP7000,0x01,0x1B,0x77 // BLU AND GRN COARSE GAIN
WR_REG,TVP7000,0x01,0x1C,0x07 // RED COARSE GAIN
WR_REG,TVP7000,0x01,0x1D,0x00 // FINE OFFSET LSB
WR_REG,TVP7000,0x01,0x1E,0x10 // BLU COARSE OFFSET
WR_REG,TVP7000,0x01,0x1F,0x10 // GRN COARSE OFFSET
WR_REG,TVP7000,0x01,0x20,0x10 // RED COARSE OFFSET
WR_REG,TVP7000,0x01,0x21,0x39 // HSOUT OUTPUT START
WR_REG,TVP7000,0x01,0x22,0x08 // MISC CONTROL 4
WR_REG,TVP7000,0x01,0x26,0x80 // AUTO LEVEL CONTROL ENABLE
WR_REG,TVP7000,0x01,0x28,0x53 // AUTO LEVEL CONTROL FILTER
WR_REG,TVP7000,0x01,0x29,0x08 // ADC TEST CONTROL
WR_REG,TVP7000,0x01,0x2A,0x83 // FINE CLAMP CONTROL
WR_REG,TVP7000,0x01,0x2B,0x00 // POWER CONTROL
WR_REG,TVP7000,0x01,0x2C,0x50 // ADC SETUP
WR_REG,TVP7000,0x01,0x2D,0x00 // COARSE CLAMP CONTROL
WR_REG,TVP7000,0x01,0x2E,0x80 // SOG CLAMP CONTROL
WR_REG,TVP7000,0x01,0x2F,0x0C // RGB COARSE CLAMP CONTROL
WR_REG,TVP7000,0x01,0x30,0x04 // SOG COARSE CLAMP CONTROL
WR_REG,TVP7000,0x01,0x31,0x5A // AUTO LEVEL CONTROL PLACEMENT
WR_REG,TVP7000,0x01,0x34,0x13 // MACROVISION STRIPPER WIDTH  use 13 with external 27MHz REFCLK
//WR_REG,TVP7000,0x01,0x34,0x07 // MACROVISION STRIPPER WIDTH use 7 with internal REFCLK
WR_REG,TVP7000,0x01,0x35,0x00 // VSYNC ALIGNMENT
WR_REG,TVP7000,0x01,0x36,0x02 // SYNC BYPASS
WR_REG,TVP7000,0x01,0x3D,0x06 // LINE LENGTH TOLERANCE
WR_REG,TVP7000,0x01,0x3F,0x0F // VIDEO BANDWIDTH CONTROL

//embedded syncs
WR_REG,TVP7000,0x01,0x40,0x07 // AVID Start  263 (236+27) for SOG filter differnence
WR_REG,TVP7000,0x01,0x41,0x01 // AVID Start
WR_REG,TVP7000,0x01,0x42,0x8B // AVID Stop  2187 (AVID start + 1920 + 4)
WR_REG,TVP7000,0x01,0x43,0x08 // AVID Stop
WR_REG,TVP7000,0x01,0x44,0x03 // VBLK START LINE OFFSET (F0)
WR_REG,TVP7000,0x01,0x45,0x03 // VBLK START LINE OFFSET (F1)
WR_REG,TVP7000,0x01,0x46,0x2D // VBLK DURATION (F0)
WR_REG,TVP7000,0x01,0x47,0x2D // VBLK DURATION (F1)
WR_REG,TVP7000,0x01,0x48,0x00 // F-BIT START LINE OFFSET (F0)
WR_REG,TVP7000,0x01,0x49,0x00 // F-BIT START LINE OFFSET (F1)

END_DATASET

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
