////////////////////////////////////////////////////////////////////////////////
// Include File: TVP7002_YPbPr_to_YCbCr_444_DS_common.inc
// Release Date: 10-26-2011
// For use with the TVP7002+THS8200 EVM Kit
// Common TVP7002 control register settings for 
// - Input: SD/EDTV YPbPr (bi-level sync) and HDTV YPbPr (tri-level sync) 
// - Output: 30-bit YCbCr 4:4:4 with discrete syncs
// Some fine gain adjustment may be required (see registers 0x08, 0x09 and 0x0A)
////////////////////////////////////////////////////////////////////////////////

INCLUDE,TVP7002_default_settings.inc // default values to be used unless later modified

// Common register settings for YPbPr input
WR_REG,TVP7000,0x01,0x0F,0x2E // H-PLL and Clamp Control (default)
WR_REG,TVP7000,0x01,0x10,0x5D // Sync On Green Threshold (default), YPbPr clamp
WR_REG,TVP7000,0x01,0x11,0x40 // Sync Separator Threshold
WR_REG,TVP7000,0x01,0x19,0x00 // Input Mux Select 1, CH1 selected (BNC inputs)
WR_REG,TVP7000,0x01,0x26,0x80 // ALC Enable (default)
WR_REG,TVP7000,0x01,0x28,0x53 // ALC Filter (default)
WR_REG,TVP7000,0x01,0x2A,0x87 // Fine Clamp Control, CM offset enabled, fine clamp enabled
WR_REG,TVP7000,0x01,0x2B,0x00 // Power Control (default), SOG ON
WR_REG,TVP7000,0x01,0x2D,0x00 // Coarse Clamp Control, coarse clamp disabled (default)
WR_REG,TVP7000,0x01,0x2E,0x80 // SOG Clamp, SOG clamp enabled (default)
WR_REG,TVP7000,0x01,0x35,0x00 // VSYNC Alignment
WR_REG,TVP7000,0x01,0x36,0x00 // Sync Bypass (default)
WR_REG,TVP7000,0x01,0x3D,0x06 // Line Length Tolerance (Pixel Tolerance)

// Common register settings for 30-bit YCbCr 4:4:4 output
WR_REG,TVP7000,0x01,0x08,0x04 // Blue Fine Gain
WR_REG,TVP7000,0x01,0x09,0x04 // Green Fine Gain = 256*((876/1024)*1000mV/700mV/1.2 - 1)
WR_REG,TVP7000,0x01,0x0A,0x04 // Red Fine Gain
WR_REG,TVP7000,0x01,0x0B,0x80 // Blue Fine Offset MSBs (default)
WR_REG,TVP7000,0x01,0x0C,0x90 // Green Fine Offset MSBs, code 64
WR_REG,TVP7000,0x01,0x0D,0x80 // Red Fine Offset MSBs (default)
WR_REG,TVP7000,0x01,0x15,0x04 // Output Formatter (default), RGB coding range, CrCb order, 30-bit 4:4:4 output, embedded syncs disabled
WR_REG,TVP7000,0x01,0x16,0x11 // MISC Control 1 (default), normal CbCr alignment
WR_REG,TVP7000,0x01,0x17,0x00 // MISC Control 2, FID output, outputs enabled
WR_REG,TVP7000,0x01,0x18,0x01 // MISC Control 3, CSC disabled, normal FID polarity, data clocked out on falling edge

////////////////////////////////////////////////////////////////////////////////